function uploadFiles(){
    var imgs = document.getElementsByClassName("imgs")
    for (var i = 0; i < imgs.length; i++) {
        var img = imgs[i]
        // console.log("img.src = " + img.src)
        var file = blobToFile(base64ToBlob(getBase64Image(img)), img.src.substr(img.src.lastIndexOf('/')+1));
        upload(file,function(url){
            // alert('上传成功,url='+url)
            
        });


    }
}    

function fileChange(f){
    // console.log(f.files[0])
    upload(f.files[0],function(url){
        // alert('上传成功,url='+url)
    });
}

function getBase64Image(img) {
    var canvas = document.createElement("canvas");
    var ratio = img.width / img.height; //  获取原图比例,为了等比压缩
    canvas.width = 300;
    canvas.height = canvas.width/ratio;
    var ctx = canvas.getContext("2d");
    ctx.drawImage(img, 0, 0, canvas.width, canvas.height);
    var ext = img.src.substring(img.src.lastIndexOf(".") + 1).toLowerCase();
    var dataURL = canvas.toDataURL("image/" + ext);
    return dataURL;
}

// base64转blob
function base64ToBlob(base64Data) {
    var arr = base64Data.split(','),
        fileType = arr[0].match(/:(.*?);/)[1],
        bstr = atob(arr[1]),
        l = bstr.length,
        u8Arr = new Uint8Array(l);

    while (l--) {
        u8Arr[l] = bstr.charCodeAt(l);
    }
    // console.log("fileType = "+ fileType)
    return new Blob([u8Arr], {
        type: fileType
    });
};

// blob转file
function blobToFile(newBlob,fileName) {
    return new window.File([newBlob],fileName)
};

function upload(f, callback) {
    // 这里的参数需要去后台拿
    var client = new OSS.Wrapper({
        region: "oss-cn-beijing",
        accessKeyId:  "LTAI4GAqC8yiM8qVHWxo7mtP",
        accessKeySecret:  "yEb3lyBp3QGHOQLqVfNManBewzELS1",
        bucket: 'hnza'
    });

    //文件格式限制
    var suffix = f.name.substr(f.name.lastIndexOf("."));
    // console.info("suffix", suffix);
    //支持的文件格式
    var fileTypes = '视频格式:.mp4 .avi .rmvb ' +
        '图片格式： .jpg .jpeg .gif .png ';
    if (fileTypes.indexOf(suffix) == -1) {
        // alert("暂不支持该文件格式")
        return;
    }

    //文件大小限制
    if (f.size > 100 * 1024 * 1024) {
        // alert("文件不得大于100M")
        return;
    }

    //进度显示 开
    // console.log('上传中');
    // console.log(f.name);
    var obj = guid();  // 这里是生成文件名
    var storeAs = 'upload-file/' + obj + suffix;  //命名空间
    // console.log(' => ' + storeAs);

    client.multipartUpload(storeAs, f).then(function (result) {
        // console.log("上传成功：", JSON.stringify(result));

        var url = result.res.requestUrls[0];
        // console.log("上传地址", url);

        if (callback) {
            // console.log("url = " + url)
            //去除多余字符
            if (url && url.indexOf("?") != -1) {
              //  // alert("去除多余字符" + url.indexOf("?"))
                url = url.toString().substring(0, url.indexOf("?"));
            }
            // console.log("url 处理 = " + url)
            callback(url);
        }
    }).catch(function (err) {
        console.error(JSON.stringify(err));
        //进度显示 关
       // // alert('上传失败 !');
    });
}



function guid() {
    return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
        var r = Math.random() * 16 | 0,
            v = c == 'x' ? r : (r & 0x3 | 0x8);
        return v.toString(16);
    });
}